
QGIS Application - Feature request #8733

Better formatting for scales

2013-10-01 04:11 AM - Paolo Cavallini

Status: Closed

Priority: Low

Assignee: Alvaro Huarte

Category: GUI

Pull Request or Patch supplied:No Resolution: fixed/implemented

Easy fix?: No Copied to github as #: 17448

Description

The list of available scales, at the bottom, is difficult to read: better format numbers as "1'000'000" instead of "1000000"

Associated revisions

Revision 82e64516 - 2013-10-19 02:13 PM - Alexander Bruy

use localized representation of scales in scale combobox, improved patch

from Alvaro Huarte (fix #8733)

History

#1 - 2013-10-01 07:30 AM - Paolo Cavallini

- Subject changed from Better formatting fro scales to Better formatting for scales

#2 - 2013-10-04 12:41 PM - Alvaro Huarte

Hi Paolo, I can resolve this feature, can you assign this task to me?

thanks

#3 - 2013-10-04 01:03 PM - Giovanni Manghi

- Target version set to Future Release - High Priority

- Assignee set to Alvaro Huarte

#4 - 2013-10-04 05:36 PM - Alvaro Huarte

- Resolution set to fixed

- % Done changed from 0 to 100

- File qgsscalecombobox.cpp added

done

gitub:

https://github.com/ahuarte47/QGIS/commit/194f9beabef5b0b23d3bd2365deab1fa5c399571

#5 - 2013-10-04 05:37 PM - Alvaro Huarte

- File deleted (qgsscalecombobox.cpp)

#6 - 2013-10-06 03:47 AM - Giovanni Manghi
Hi Alvaro, can you please make a Pull Request in the qgis repo? This way other will be able to see it and review and then commit. Thanks!

#7 - 2013-10-06 12:56 PM - Alvaro Huarte

Done.

I'm new using gitub and I'm learning this tool, Sorry! 

Thanks!

#8 - 2013-10-07 04:16 PM - Alvaro Huarte

Changes goto branch:

https://github.com/ahuarte47/QGIS/tree/Issue_8733

#9 - 2013-10-19 05:47 AM - Alexander Bruy

- Status changed from Open to Closed

Fixed in changeset commit:"82e645167116c29489cd72ee53cfebc54949ee5a".

#10 - 2013-10-19 05:50 AM - Alexander Bruy

- Resolution changed from fixed to fixed/implemented

Now localized representation for scales used. Reopen if necessary.

2025-12-15 2/2

https://github.com/ahuarte47/QGIS/tree/Issue_8733

